--pgp-sign-Multipart_Tue_Jun_24_21:09:24_2008-1
Content-Type: text/plain; charset=ISO-2022-JP

At Tue, 24 Jun 2008 01:38:47 +0900,
matz wrote:
> In message "Re: [ruby-dev:35210] Re: IncompatibleEncodingError"
>     on Tue, 24 Jun 2008 01:31:50 +0900, "NARUSE, Yui" <naruse / airemix.jp> writes:
>
> |Encoding::IncompatibleError < StandardError
> |
> |を新設というのが今のところ最右翼になっています。
> |Encoding とか Error とか何度も書かなくていいし。
> |
> |こんな感じでどうでしょう。
>
> うーん、まあ、いいんじゃないでしょうか。

 ほかに Encoding 関係のエラーを追加するときも StandardError の
直下にぶらさげるんでしょうか。

 IncompatibleEncodingError ってのは Encoding 関係で複数の例外を
区別する必要が生じてからでよいので、とりあえず

class EncodingError < StandardError; end

だけ導入するのはどうでしょうか。

--
Akinori MUSHA / http://akinori.org/

--pgp-sign-Multipart_Tue_Jun_24_21:09:24_2008-1
Content-Type: application/pgp-signature
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (FreeBSD)

iEYEABECAAYFAkhg4/QACgkQkgvvx5/Z4e4YeQCgmM0kO0gDgdj1ZXdG2lPUiUiv
hpgAoLdxZxemoMVJU6A1xdScYFBIWrRm
=1N+y
-----END PGP SIGNATURE-----

--pgp-sign-Multipart_Tue_Jun_24_21:09:24_2008-1--